%define upstream_name    Time-ZoneInfo
%define upstream_version 0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl extension for returning a list of Time Zones
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:	    Time-ZoneInfo-0.3-geolocalisation.patch


BuildArch: noarch

%description
An OO interface to accessing a list of timezones. This is useful if you
want to provide an interface for your user to choose one of the available
time zones.

Version 0.3.1 also gives the geolocalisation for a time zone.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .geo

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-6.mga5
+ Revision: 740519
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-5.mga5
+ Revision: 686711
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.300.0-4.mga4
+ Revision: 538175
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.300.0-3.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-3.mga3
+ Revision: 374361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.300.0-2.mga1
+ Revision: 23020
- cleaning spec file
- imported package perl-Time-ZoneInfo

